<template>
  <a
    class="inline-block font-bold font-bold bg-red-default w-full text-center text-white hover:text-white rounded-md py-2 px-5"
    :href="to"
    target="_blank"
  >
    <t-span>
      <slot></slot>
    </t-span>
  </a>
</template>

<script>
import TSpan from '~/components/shared/typography/Span'

export default {
  name: 'BExternalLinkButton',
  components: { TSpan },
  props: {
    to: {
      type: String,
      required: true,
    },
  },
}
</script>
